#include <iostream>
#include <cmath>

using namespace std;

const double PI = 4 * atan(1);

class Segment
{
private:
    const double Epsilon = 0.000001;
public:
    double _l;
    double A;

    Segment(double l, double x2, double y2, double x1, double y1)
    {
        _l = l;

        double a1 = 180 * atan2(x1, y1) / PI;
        double a2 = 180 * atan2(x2, y2) / PI;
        A = a2 - a1;

        if(A > 180) A -= 360;
        if(A < -180) A += 360;
    }

    bool Equals(Segment* s2)
    {
        return abs(_l - s2->_l) < Epsilon && abs(A - s2->A) < Epsilon;
    }
};

Segment** pat;
int* lps;
int m;
int n;
Segment** str;

int Match()
{
    int i = 0;
    int j = 0;
    lps = new int[m];

    Segment* le = new Segment(0, 0, 0, 0, 0);
    Segment* el = new Segment(0, 0, 0, 0, 0);

    for(int a = 0; a < n; a++)
    {
        if(le->_l < str[a]->_l)
        {
            le = str[a];
            i = a;
        }
        if(el->_l < pat[a]->_l)
        {
            el = pat[a];
            j = a;
        }
    }

    for(int a = 0; a < n; a++)
    {
        if(!str[(i + a) % n]->Equals(pat[(j + a) % n]))
        {
            return -1;
        }
    }

    int vas = j - i + 1;
    if(vas <= 0)
    {
        vas += n;
    }
    return vas;
}

int main()
{
    cin >> n;
    m = n;

    double* ox = new double[n];
    double* oy = new double[n];

    double* x1 = new double[n];
    double* x2 = new double[n];

    double* y1 = new double[n];
    double* y2 = new double[n];

    double* l1 = new double[n];
    double* l2 = new double[n];

    double perim1 = 0;
    double perim2 = 0;
    for(int i = 0; i <= n; i++)
    {
        if(i < n)
        {
            cin >> x1[i] >> y1[i];
            ox[i] = x1[i];
            oy[i] = y1[i];
        }
        if(i > 0)
        {
            x1[i % n] -= ox[i - 1];
            y1[i % n] -= oy[i - 1];
            l1[i - 1] = hypot(x1[i % n], y1[i % n]);
            perim1 += l1[i - 1];
        }
    }
    for(int i = 0; i <= n; i++)
    {
        if(i < n)
        {
            cin >> x2[i] >> y2[i];
            ox[i] = x2[i];
            oy[i] = y2[i];
        }
        if(i > 0)
        {
            x2[i % n] -= ox[i - 1];
            y2[i % n] -= oy[i - 1];
            l2[i - 1] = hypot(x2[i % n], y2[i % n]);
            perim2 += l2[i - 1];
        }
    }

    double rat = perim1 / perim2;

    pat = new Segment*[n];
    str = new Segment*[n];
    for(int i = 0; i < n; i++)
    {
        str[i] = new Segment(l1[i], x1[(i + 1) % n], y1[(i + 1) % n], x1[i], y1[i]);
        pat[i] = new Segment(l2[i] * rat, x2[(i + 1) % n], y2[(i + 1) % n], x2[i], y2[i]);
    }

    int res = -1;

    for(int i = 0; i < 2; i++)
    {
        for(int j = 0; j < 2; j++)
        {
            res = Match();
            if(res > -1) break;
            for(int k = 0; k < n; k++)
            {
                pat[k]->A = -pat[k]->A;
            }
        }
        if (res > -1)
        {
            if (i == 1) res = n + 1 - res;
            break;
        }
        for(int k = 0; k < n / 2; k++)
        {
            Segment* vah = pat[k];
            pat[k] = pat[n - 1 - k];
            pat[n - 1 - k] = vah;
        }
    }

    if(res == -1)
    {
        cout << -1 << endl;
        return 0;
    }

    cout << rat << endl << res << endl;
}
